# angular.directive.ng:click

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

The ng:click allows you to specify custom behavior when element is clicked.

## Usage

    <ANY ng:click="expression">
       ...
    </ANY>

### Parameters

- `expression – {expression} –`

  Expression to eval upon click.

## Example

     <button ng:click="count = count + 1" ng:init="count=0">
       Increment
     </button>
     count: {{count}}

      it('should check ng:click', function(){
        expect(binding('count')).toBe('0');
        element('.doc-example-live :button').click();
        expect(binding('count')).toBe('1');
      });